# Relay

- [Documentation](https://relaycache.com/docs)
- [Discussions](https://github.com/cachewerk/relay/discussions)

## Known Issues

- Inconsistent invalidations order: https://github.com/redis/redis/issues/8206
- PHP forks crashing on macOS: https://www.wefearchange.org/2018/11/forkmacos.rst.html

## Release

### Nightly

The `main` branch is automatically pushed to S3 as the development/head/nightly release.

### Tags

- Check out `develop`
- Update [`PHP_RELAY_VERSION`](php_relay.h)
- Update the [changelog](CHANGELOG.md)
- Merge `develop` into `main`
- Wait for [test suite](https://github.com/cachewerk/relay-core/actions) to pass
- Create a release targeting `main` on `cachewerk/relay-core`
- On `develop` bump [`PHP_RELAY_VERSION`](php_relay.h) to `*-dev`

The release in `cachewerk/relay` will synchronized automatically. Next, let’s update the 3rd party repositories.

1. Merge the PR created in [`cachewerk/homebrew-tap`](https://github.com/cachewerk/homebrew-tap)
2. Dispatch a `Build packages` workflow in [`cachewerk/linux-repos`](https://github.com/cachewerk/linux-repos)
3. Bump Relay version in [`cachewerk/heroku-php-extensions`](https://github.com/cachewerk/heroku-php-extensions)
